limiting apt to architecture to install mongodb in kali wheezy for AMD64

Based on the instructions of mongodb.com we need to add the apt config file, BUT if you are using multi architecture because issues with skype for example, you can fix it with the following steps.

[email protected]:~# echo "deb http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.4 main" | sudo tee /etc/apt/sources.list.d/mongodb-org-3.4.list


[email protected]:~# sudo apt-get update    
Ign:2 http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.4 InRelease   
Hit:4 http://dl.google.com/linux/chrome/deb stable Release
Get:5 http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.4 Release [1,116 B]
Get:7 http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.4 Release.gpg [801 B]
Get:8 http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.4/main amd64 Packages [2,124 B]
Hit:3 http://archive-7.kali.org/kali kali-rolling InRelease
Fetched 4,041 B in 2s (1,447 B/s)
Reading package lists... Done
N: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.4 InRelease' doesn't support architecture 'i386'

SO, WE NEED TO UPDATE the architecture of the config file.

solution was to limit to just 64 bit by introducing the [arch=amd64]
deb [arch=amd64] http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.4 main
wala!

it works now!

0 pensamientos:

Post a Comment

feedback!